#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, i, j;
    scanf("%i", &n);
    double a[n], p[n], pp[n], s;
//    scanf("%i", &n);
    for(i=0; i<n; i++){
        scanf("%lf %lf", &a[i], &p[i]);
    }
    for (int i = 0; i < n; i++)
	{
		for (int j = 0; j < n; j++)
		{
			if (p[j] > p[i])
			{
				double tmp = p[i];
				p[i] = p[j];
				p[j] = tmp;

				tmp = a[i];
				a[i] = a[j];
				a[j] = tmp;
			}
		}
	}
	for(i=0; i<n; i++){
        s=0;
        for(j=i; j<n; j++){
            s = s + a[j];
        }
        pp[i] = p[i] * 0.01*s;
	}

	double max = pp[0];
	for(i= 1; i<n; i++){
        if(max < pp[i]){
           double tmp = pp[i];
				pp[i] = max;
				max = tmp;
        }
	}
	printf("%.4lf\n", max);
    return 0;
}